diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 46b6bf4bd97cb4645917e6bb0198bc6ffebc3d76..71c75e05af5b2394aa3e9339aedd58c0c1bfefcc 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -30,14 +30,10 @@ ubuntu_boost_system:
         - git clone https://github.com/ArashPartow/exprtk.git
         - cp exprtk/exprtk.hpp /usr/include
         - export TERM=xterm
-        - cd build_scripts/linux
-        - ./linux_gcc_build_x64_debug.sh
-        - cd ../..
+        - ./build.sh
 
     script:
-        - cd build_scripts/linux
-        - './linux_run_tests.sh'
-        - cd ../..
+        - './ci_run_tests.sh'
 
 # Latest Ubuntu with Boost and Exprtk
 # compiled locally as submodules
diff --git a/build.sh b/build.sh
index 10e2c8f25c7881dd03ad6f21bb3ef52935fb7578..61a54f34dda6b89cb17e21fcd3ee14d7c231be02 100755
--- a/build.sh
+++ b/build.sh
@@ -25,11 +25,5 @@ fi
 
 $(pwd)/clean.sh
 
-#
-# For ExprTk download
-#
-git submodule init
-git submodule update --remote
-
 cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=${BUILD_TYPE} -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=$(pwd)/build/lib .
-cmake --build . --config ${BUILD_TYPE} -- -j${N_CORES} && (tput setaf 2; echo "Build complete."; echo "For examples have a look at the folder build/bin/examples."; tput sgr 0; ) || (tput setaf 1; echo "Build finished with errors!"; tput sgr 0; exit 1;)
+cmake --build . --config ${BUILD_TYPE} -- -j${N_CORES} && (tput setaf 2; echo "Build complete."; echo "For examples have a look at the folder build/examples/bin."; tput sgr 0; ) || (tput setaf 1; echo "Build finished with errors!"; tput sgr 0; exit 1;)
diff --git a/ci_run_tests.sh b/ci_run_tests.sh
new file mode 100755
index 0000000000000000000000000000000000000000..dfc202791eb6650bd81be3269dba2a8b12149955
--- /dev/null
+++ b/ci_run_tests.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+##############
+# UNIT TESTS #
+##############
+for f in build/unit-tests/bin/*_test; do
+    ${f} || exit -1
+done
+